<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number35</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.35:</b> Write a JavaScript program to check a given string contains 2 to 4 numbers of a specified character.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Enter The Text"><br>
	  <input type="text" id="char" placeholder="Enter the character" style="margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>

	<script>
	  function generate() {
		  var str = document.getElementById('txt').value;
		  var chr = document.getElementById('char').value;
		  var ctr = 0;
		  
		  if (chr.length < 2) {
		  for (i=0; i<str.length; i++){
				  if (str.charAt(i) == chr) {
					  ctr++;
					  if (ctr<=4 && ctr >=2){
						  document.getElementById('demo').innerHTML=
							  Boolean(1);
					  } else {
						  document.getElementById('demo').innerHTML=
							  Boolean(0);
					  }
				  }
			  }
		  } else {
			  document.getElementById('demo').innerHTML=
				  "You Must Enter Only One Character!!!"
		  }
	  }
	
	</script>
</body>
</html>
